For the complete documentation index, see llms.txt. This page is also available as Markdown.

Data Analytics

These endpoints will allow you to retrieve data for analytical dashboards and graphs

Retrieve general overview

get

Management The endpoint is used to retrieve a general overview of the analytics dashboard. To use the endpoint, you must provide a "dataType" parameter that specifies the type of data you want to retrieve. Additionally, you can provide optional query parameters to filter the data.

You can specify an "aggregationType" parameter to group the data by day, week, month, or year. You can also specify an "intervalStartDate" and "intervalEndDate" parameter to retrieve data for a specific time range.

If you don't specify the "aggregationType" parameter, aggregation will be based on interval:

  • 1-30 - days daily aggregation

  • 31-90 - days weekly aggregation

  • 91-360 - days monthly aggregation

  • over 360 - days annual aggregation

If you don't provide any optional query parameters and don't specify an interval, it will return all data from the beginning to today.

Authorizations
AuthorizationstringRequired

Open Loyalty has the JWT authorization. To learn what a JSON Web Token is and how it works, check out Introduction to JSON Web Tokens https://jwt.io/introduction/

Obtain an access token

Send a request with the parameters username and password

Definition

POST /api/admin/login_check Go to definition
POST /api/{storeCode}/member/login_check Go to definition

Example

curl {HOST}/api/admin/login_check
    -H 'Content-Type: application/json;charset=UTF-8'
    -H 'Accept: application/json, text/plain, */*'
    --data-binary '{"username":"admin","password":"password"}'

Example Response

{
    "token":"eyJhbGciOiJSUzI1NiIsInR5cCI6...",
    "refresh_token":"0558f8bb29948c4e54c443f..."
}

Using JSON Web Token

Add authorization header to each request
Authorization: Bearer eyJhbGciOiJSUzI1NiIsInR5cCI6...
You can now access any API method you want under the /api prefix.

Example

curl {HOST}/api/{storeCode}/analytics/members
    -H 'Accept: application/json'
    -H 'Content-type: application/x-www-form-urlencoded'
    -H 'Authorization: Bearer eyJhbGciOiJSUzI1NiIsInR5cCI6...'

Refresh JSON Web Token

You can refresh token using refresh_token that was given during login.
There are two endpoints
To refresh admin token POST /api/token/refresh Go to definition
To refresh member token POST /api/{storeCode}/token/refresh Go to definition

Path parameters
storeCodestringRequired

Store code

Query parameters
dataTypestring · enumRequiredPossible values:
aggregationTypestring · enumOptionalPossible values:
intervalStartDatestring · dateOptional
intervalEndDatestring · dateOptional
Responses
200

Data for general overview dashboard

application/json
intervalStartDatestring · date-timeOptional
intervalEndDatestring · date-timeOptional
aggregationTypestring · enumOptionalPossible values:
dataTypestring · enumOptionalPossible values:
get/api/{storeCode}/analytics/dashboard/general-overview

Retrieve units overview

get

Management The endpoint is used to retrieve a units overview of the analytics dashboard.

You can specify an "aggregationType" parameter to group the data by day, week, month, or year. You can also specify an "intervalStartDate" and "intervalEndDate" parameter to retrieve data for a specific time range.

If you don't specify the "aggregationType" parameter, aggregation will be based on interval:

  • 1-30 - days daily aggregation

  • 31-90 - days weekly aggregation

  • 91-360 - days monthly aggregation

  • over 360 - days annual aggregation

If you don't provide any optional query parameters and don't specify an interval, it will return all data from the beginning to today.

Authorizations
AuthorizationstringRequired

Open Loyalty has the JWT authorization. To learn what a JSON Web Token is and how it works, check out Introduction to JSON Web Tokens https://jwt.io/introduction/

Obtain an access token

Send a request with the parameters username and password

Definition

POST /api/admin/login_check Go to definition
POST /api/{storeCode}/member/login_check Go to definition

Example

curl {HOST}/api/admin/login_check
    -H 'Content-Type: application/json;charset=UTF-8'
    -H 'Accept: application/json, text/plain, */*'
    --data-binary '{"username":"admin","password":"password"}'

Example Response

{
    "token":"eyJhbGciOiJSUzI1NiIsInR5cCI6...",
    "refresh_token":"0558f8bb29948c4e54c443f..."
}

Using JSON Web Token

Add authorization header to each request
Authorization: Bearer eyJhbGciOiJSUzI1NiIsInR5cCI6...
You can now access any API method you want under the /api prefix.

Example

curl {HOST}/api/{storeCode}/analytics/members
    -H 'Accept: application/json'
    -H 'Content-type: application/x-www-form-urlencoded'
    -H 'Authorization: Bearer eyJhbGciOiJSUzI1NiIsInR5cCI6...'

Refresh JSON Web Token

You can refresh token using refresh_token that was given during login.
There are two endpoints
To refresh admin token POST /api/token/refresh Go to definition
To refresh member token POST /api/{storeCode}/token/refresh Go to definition

Path parameters
storeCodestringRequired

Store code

walletTypeCodestringRequired
Query parameters
aggregationTypestring · enumOptionalPossible values:
dataTypestring · enumOptionalPossible values:
intervalStartDatestring · dateOptional
intervalEndDatestring · dateOptional
Responses
200

Data for units overview dashboard

application/json
intervalStartDatestring · date-timeOptional
intervalEndDatestring · date-timeOptional
walletTypeCodestringOptional
aggregationTypestring · enumOptionalPossible values:
dataTypestring · enumOptionalPossible values:
get/api/{storeCode}/analytics/units-overview/{walletTypeCode}

Retrieve campaign overview

get

Management

Authorizations
AuthorizationstringRequired

Open Loyalty has the JWT authorization. To learn what a JSON Web Token is and how it works, check out Introduction to JSON Web Tokens https://jwt.io/introduction/

Obtain an access token

Send a request with the parameters username and password

Definition

POST /api/admin/login_check Go to definition
POST /api/{storeCode}/member/login_check Go to definition

Example

curl {HOST}/api/admin/login_check
    -H 'Content-Type: application/json;charset=UTF-8'
    -H 'Accept: application/json, text/plain, */*'
    --data-binary '{"username":"admin","password":"password"}'

Example Response

{
    "token":"eyJhbGciOiJSUzI1NiIsInR5cCI6...",
    "refresh_token":"0558f8bb29948c4e54c443f..."
}

Using JSON Web Token

Add authorization header to each request
Authorization: Bearer eyJhbGciOiJSUzI1NiIsInR5cCI6...
You can now access any API method you want under the /api prefix.

Example

curl {HOST}/api/{storeCode}/analytics/members
    -H 'Accept: application/json'
    -H 'Content-type: application/x-www-form-urlencoded'
    -H 'Authorization: Bearer eyJhbGciOiJSUzI1NiIsInR5cCI6...'

Refresh JSON Web Token

You can refresh token using refresh_token that was given during login.
There are two endpoints
To refresh admin token POST /api/token/refresh Go to definition
To refresh member token POST /api/{storeCode}/token/refresh Go to definition

Path parameters
storeCodestringRequired

Store code

campaignIdstringRequiredPattern: [0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}
Query parameters
dataTypestring · enumRequiredPossible values:
aggregationTypestring · enumOptionalPossible values:
intervalStartDatestring · dateOptional
intervalEndDatestring · dateOptional
Responses
200

Data for general overview dashboard

application/json
campaignIdstring · uuidOptional
intervalStartDatestring · date-timeOptional
intervalEndDatestring · date-timeOptional
aggregationTypestring · enumOptionalPossible values:
dataTypestring · enumOptionalPossible values:
get/api/{storeCode}/analytics/campaign/single-view/{campaignId}

Last updated

Was this helpful?